#!/bin/bash

set -u
set -e

declare -a fish

filename="${1:-example.txt}"

exec 3<"$filename"

OLDIFS="$IFS"
IFS=","
read -u 3 -a fish
IFS="$OLDIFS"

for (( d=1; d<=80; d++ )); do
    start_fish_count=${#fish[@]}
    for (( i=0; i<$start_fish_count; i++ )); do
        if [ ${fish[$i]} -eq 0 ]; then
            fish+=(8)
            fish[$i]=6
        else
            ((fish[$i]-=1)) || fish[$i]=0
        fi
    done
done

echo "After 80 days there are ${#fish[@]} fish"
